GuideLab API

Reorder treatment phases

Bulk reorder treatment phases by providing an ordered array of phase IDs. Sort positions are assigned sequentially starting from 0.

POST
/treatment-phases/reorder

Bulk reorder treatment phases by providing an ordered array of phase IDs. Sort positions are assigned sequentially starting from 0.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/treatment-phases/reorder" \  -H "Content-Type: application/json" \  -d '{    "phaseIds": [      "string"    ]  }'
{  "success": true}
Empty
Empty
Empty
Empty